Validate Reference Ids
Body
Using the facility validation settings, validates a reference ID or other booking identifiers against the orders for a facility. This is typically used as a pre-check before booking an appointment to ensure the reference ID provided matches the orders for the facility.
- Type: stringFormat: uuidfacility
_id requiredThe unique id of the
Facility. - Type: array object[]order
_info requiredAn object representing the contents of the truck.
- Type: stringtyperequired
Either
Inboundfor deliveries orOutboundfor pickups.
Responses
- 200
- 400
Bad Request
Request Example for post/conduit.v1.validate_reference_ids
curl https://api.getconduit.ai/conduit.v1.validate_reference_ids \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"facility_id": "2aae24c7-438d-473f-aba8-7793b7efdec3",
"type": "Inbound",
"order_info": [
{
"reference_id": ""
}
]
}'
No Body

